Bug 207882 - Underline isn't rendered at the proper place in evolution.
Summary: Underline isn't rendered at the proper place in evolution.
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: pango (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Behdad Esfahbod
QA Contact:
URL:
Whiteboard:
Keywords: i18n
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-09-25 04:42 UTC by Jong Bae KO
Modified: 2007-11-30 22:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-07 13:34:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
evolution underline screeshot (27.05 KB, image/png)
2006-09-25 04:42 UTC, Jong Bae KO
no flags Details
Better screenshot (16.74 KB, image/png)
2006-09-26 07:50 UTC, Mayank Jain
no flags Details
Gtk bug? (103.65 KB, image/png)
2006-11-01 11:18 UTC, Mayank Jain
no flags Details
Correct underlining - example of oo.o writer (88.89 KB, image/png)
2006-11-02 07:41 UTC, Mayank Jain
no flags Details
shot in oo.o with Latin and Arabic (36.19 KB, image/png)
2006-11-02 21:46 UTC, Behdad Esfahbod
no flags Details
Underlining in oo.org (6.99 KB, image/png)
2006-11-03 07:53 UTC, Mayank Jain
no flags Details

Description Jong Bae KO 2006-09-25 04:42:22 UTC
Description of problem:
When you make new mail, and add contact-list. Chinese and Korean Underline
aren't rendered at the proper place in evolution.
I tested with Japanese and It was fine.
Only Chinese and Korean Underline bug.

Version-Release number of selected component (if applicable):
evolution-2.8.0-3.fc6
pango-1.14.4-1.fc6

How reproducible:
always

Steps to Reproduce:
1. Make Korean and Chinese Contact list
2. Make new mail and click "TO"
3. Add Korean and Chinese Contract list, then click OK

  
Actual results:


Expected results:


Additional info: 

This bug might be associated with bug 206397, if it is a redering problem.

Comment 1 Jong Bae KO 2006-09-25 04:42:22 UTC
Created attachment 137029 [details]
evolution underline screeshot

Comment 2 Mayank Jain 2006-09-26 07:50:56 UTC
Created attachment 137112 [details]
Better screenshot

Confirm this bug.

Comment 3 Mayank Jain 2006-09-26 07:51:30 UTC
Moving to devel.

Comment 4 Mayank Jain 2006-09-26 07:52:17 UTC
Please note that this is just 1 contact.

Comment 5 Mayank Jain 2006-11-01 11:00:23 UTC
Initial investigation...

"generate_attribute_list" function
($evo/libedataserverui/e-name-selector-entry.c) is used when a error prone
contact is selected from the contact list.



Comment 6 Mayank Jain 2006-11-01 11:01:09 UTC
OOps...

The file is $e-d-s/libedataserverui/e-name-selector-entry.c

Comment 7 Mayank Jain 2006-11-01 11:02:01 UTC
Hence this bug might be e-d-s bug, hence changing the component to e-d-s

Comment 8 Mayank Jain 2006-11-01 11:18:05 UTC
Created attachment 139964 [details]
Gtk bug?

This looks more like a Gtk bug...

Both evo composer (html mode) & gaim are showing this problem.
Also, the "To", "CC" etc fields in evo composer are straight forward gtk text
entries... not custom widgets.

Matthew, I think this should be reassigned to gtk... what do you think?

Comment 9 Matthew Barnes 2006-11-01 12:10:39 UTC
I'm more inclined to say Pango than GTK+, but I'm not sure.  CC'ing Matthias.

Comment 10 Matthias Clasen 2006-11-01 15:51:43 UTC
First of all we need to clarify what the expected behaviour here is. 
Do you expect the underline to be continuous ?
GTK+/Pango are probably just using the information available in the fonts, and
the latin font has a different underline position than the indic font. 

CC'ing Behdad

Comment 11 Mayank Jain 2006-11-02 07:41:01 UTC
Created attachment 140092 [details]
Correct underlining - example of oo.o writer

Hi,

Yes, the underlining should be continuous & moreover, should not cut any
character's ligerature.

I'm attaching a screenshot from open office writer. Emulating such
functionality shall be very good.

Thanks,
Mayank

Comment 12 Behdad Esfahbod 2006-11-02 21:46:41 UTC
Created attachment 140192 [details]
shot in oo.o with Latin and Arabic

So, OO.o is ignoring the underline position in the font.
As good as it looks for the Indic shot above, it looks bad for this shot.  It
almost overlaps the dot below Beh and crosses Reh.

The only thing I can think of is to add a new underline mode to Pango to choose
a single underline position per line, most probably the lowest of those of all
the runs in the line.

Comment 13 Matthew Barnes 2006-11-02 22:17:09 UTC
Changing component to Pango.  Hope you don't mind, Behdad.

Comment 14 Mayank Jain 2006-11-03 07:53:01 UTC
Created attachment 140222 [details]
Underlining in oo.org

Hi,

As in the screenshot, even oo cuts the characters.
with hi-phonetic layout, try "kU" "ku"

If we calculate the underlining to be the lowest of the extent in the line,
wouldnt that effect the next line thats after it?

Anyways... a uniform underline for multilang text is all we need in this bug :)


Thanks,
Mayank

Comment 15 Behdad Esfahbod 2006-11-06 21:36:54 UTC
Filed as: http://bugzilla.gnome.org/show_bug.cgi?id=371726

I think this bug can be closed.  That feature is not planned yet, and will be in
Fedora as soon as it's implemented upstream.

Comment 16 Mayank Jain 2006-11-07 05:34:11 UTC
Okay, thanks everyone :)


Note You need to log in before you can comment on or make changes to this bug.